## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global cargo_install_lib 0

Name:           selenium-manager
Version:        4.31.0
Release:        %autorelease
Summary:        Automated driver and browser management for Selenium
# Full break down of the licenses is located in the LICENCE.dependencies file.
# Result of cargo_license_summary:
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR ISC OR MIT
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-3-Clause
# ISC
# ISC AND MIT AND OpenSSL
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT


# The code in directory /rust is under the Apache-2.0 licence.
# The rest of the code under other licences is not shipped or used for the built built.
License:        %{shrink:
                Apache-2.0 AND
                BSD-3-Clause AND
                ISC AND
                MIT AND
                OpenSSL AND
                MPL-2.0 AND
                Unicode-DFS-2016 AND
                (0BSD OR MIT OR Apache-2.0) AND
                (Apache-2.0 OR BSL-1.0) AND
                (Apache-2.0 OR ISC OR MIT) AND
                (Apache-2.0 OR MIT) AND
                (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND
                (MIT OR Apache-2.0 OR Zlib) AND
                (Unlicense OR MIT)
                }

URL:            https://github.com/SeleniumHQ/selenium
Source0:        %{url}/archive/selenium-%{version}.tar.gz

# Patches allows for buillding without dependencies which are by default
# unconditionally pulled even do they aren't required
Patch0:         0001-remove-unnecessary-dependencies.patch
Patch1:         0001-remove-unsupported-function.patch

BuildRequires:  cargo-rpm-macros >= 24

%description
Selenium Manager is a command-line tool implemented in Rust
that provides automated driver and browser management for Selenium.

%prep
%autosetup -n selenium-selenium-%{version}/rust/ -N
%patch -P 0 
cd src
%patch -P 1 
cd ..
%cargo_prep 

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%files
%license ../LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/selenium-manager

%changelog
## START: Generated by rpmautospec
* Wed Apr 09 2025 tjuhasz <tjuhasz@redhat.com> - 4.31.0-1
- Update to 4.31.0 (rhbz#2354218)

* Fri Mar 21 2025 Fabio Valentini <decathorpe@gmail.com> - 4.29.0-3
- Revert bzip2 dependency downgrade from 0.5 to 0.4

* Wed Mar 05 2025 tjuhasz <tjuhasz@redhat.com> - 4.29.0-2
- Added sources

* Wed Mar 05 2025 tjuhasz <tjuhasz@redhat.com> - 4.29.0-1
- Update to version 4.29.0 (rhbz#2346785)

* Wed Jan 29 2025 Tomas Juhasz <tjuhasz@redhat.com> - 4.28.0-1
- Initial import (fedora#2335285)
## END: Generated by rpmautospec
